%define scriptname screenlock_enable_kde.sh
%define version 1
%define release 2

Summary: Enable Screen Blanking Lock for KDE
Name: zz_screenlock_kde
Version: %{version}
Release: %{release}%{?dist}
Source1: %{scriptname}

License:        GPL
Group: Fermi
URL: http://fermilinux.fnal.gov

BuildArch: noarch
Requires: coreutils sed bash
Requires(post): coreutils sed bash

%description
Enables Screen Blanking Lock for KDE by default

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp %{SOURCE1}  $RPM_BUILD_ROOT/usr/sbin/%{scriptname}
chmod 755 $RPM_BUILD_ROOT/usr/sbin/%{scriptname}

# we also need 'kdelibs' but kdebase requires it so we are ok
%triggerin -- kdebase
if [ -s /usr/sbin/%{scriptname} ] ; then
      /usr/sbin/%{scriptname}
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/sbin/%{scriptname}

%changelog
*Thu Jan 31 2013 Pat Riehecky <riehecky@fnal.gov> 1-2
- Added more 'Requires' to ensure things run correctly
- Config script now runs in bash rather than sh
-  No changes were made to the script itself

* Mon  Dec 14 2009 Connie Sieh (csieh@fnal.gov)
- 1.1 changed location of binary to /usr/sbin 
-     changed name of script to lower case 

* Thu  Dec 10 2009 Connie Sieh (csieh@fnal.gov)
- 1.0 Enables Blanking Screen Lock for KDE 
-     Works for root not like GNOME
